#
# spec file for package gtk (Version 1.2.10)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel xf86
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils bzip2 cracklib gcc gdbm gettext glib glib-devel libtool perl rpm

Name:         gtk
License:      GPL
Group:        System/Libraries
Provides:     gtkn
Provides:     gtk+ 
Autoreqprov:  on
Version:      1.2.10
Release:      552
Summary:      A library for the creation of graphical user interfaces
Requires:     glib 
Source:       gtk+-%{version}.tar.bz2
Source1:      gtk.sh
Source2:      gtk.csh
Source3:      SuSEconfig.gtk
Patch:        gtk+-%{version}.dif
Patch1:       gtk-cvs.dif
Patch2:       gtk+-%{version}-nolibtool.patch
Patch3:       gtk-fix-dnd-crash.patch
Patch4:       gtk-filesel-dirchanged-fix.patch
Patch5:       gtk+-1.2.10-acdivert.patch
Patch6:       gtk+-1.2.10-gtkrc.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This fast and versatile library is used all over the world for all
GNOME applications, the GIMP, and several others. Originally it was
written for the GIMP and hence has the name Gimp ToolKit. Many people
like it because it is small, efficient, and very configurable.

Authors:
--------
    Peter Mattis      <petm@xcf.berkeley.edu>
    Spencer Kimball   <spencer@xcf.berkeley.edu>
    Josh MacDonald    <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gtk.org>
    Jerome Bolliet    <bolliet@gtk.org>
    Damon Chaplin     <damon@gtk.org>
    Tony Gale         <gale@gtk.org>
    Jeff Garzik       <jgarzik@gtk.org>
    Lars Hamann       <lars@gtk.org>
    Raja R Harinath   <harinath@gtk.org>
    Carsten Haitzler  <raster@gtk.org>
    Tim Janik         <timj@gtk.org>
    Stefan Jeske      <stefan@gtk.org>
    Elliot Lee        <sopwith@gtk.org>
    Raph Levien       <raph@gtk.org>
    Ian Main          <imain@gtk.org>
    Federico Mena     <quartic@gtk.org>
    Paolo Molaro      <lupus@gtk.org>
    Jay Painter       <jpaint@gtk.org>
    Manish Singh      <manish@gtk.org>
    Owen Taylor       <otaylor@gtk.org>

%prep
%setup -q -n gtk+-%{version} 
%patch
%patch1 -p1 
%patch2 -p1 -b .nolibtool
%patch3 -p1
%patch4 -p1
%patch5
%patch6 -p1 -b .gtkrc

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --copy --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
	    --with-native-locale=yes \
	    --with-xinput=xfree \
	    --mandir=%{_mandir} \
	    --infodir=%{_infodir} \
	    --libdir=%_libdir \
	    --sysconfdir=%{_sysconfdir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
(cd $RPM_BUILD_ROOT/etc/gtk;test -f gtkrc.zh_TW.big5 -a ! -f gtkrc.zh_TW && ln -s gtkrc.zh_TW.big5 gtkrc.zh_TW)
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp %{S:1} %{S:2} $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
cp %{S:3} $RPM_BUILD_ROOT/sbin/conf.d
chmod +x $RPM_BUILD_ROOT/sbin/conf.d/*

%files 
%doc AUTHORS COPYING README NEWS ChangeLog 
/etc/profile.d/*
/sbin/conf.d/*
%{_libdir}/*.so.*
%{_prefix}/share/themes
%{_prefix}/share/locale/*/*/*
%{_sysconfdir}/gtk
%package devel
Obsoletes:    gtkdev
Provides:     gtkdev
Requires:     glib-devel
Summary:      The developerfiles for the GIMP ToolKit
Group:        Development/Libraries/X11
Autoreqprov:  on
PreReq:       %install_info_prereq

%description devel
All the necessary files to start own GTK development. Also see package gtk.

Authors:
--------
    Peter Mattis    (petm@xcf.berkeley.edu)
    Spencer Kimball (spencer@xcf.berkeley.edu)
    Josh MacDonald  (jmacd@xcf.berkeley.edu)


%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gdk.info.gz

%preun devel
%install_info --delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info --delete --info-dir=%{_infodir} %{_infodir}/gdk.info.gz

%files devel
%{_mandir}/man1/*
%{_infodir}/*.info*
%{_prefix}/include/*
%{_libdir}/*.*a
%{_libdir}/*.so
%{_prefix}/bin/*
%{_prefix}/share/aclocal/*
%{_libdir}/pkgconfig/*.pc

%changelog -n gtk
* Tue Mar 25 2003 - sbrabec@suse.cz
- Fixed charset and worked around theme problem (#25645, #25575).
* Mon Feb 10 2003 - ke@suse.de
- Also add the gdk info file.
* Mon Feb 10 2003 - ke@suse.de
- Use install_info macro [# 23422].
* Mon Jan 27 2003 - mfabian@suse.de
- change default font-size for Japanese in ja_JP.eucJP locale
  to 12 pixel instead of 14 pixel (see Bug #20056).
- add a /etc/gtk/gtkrc.utf-8 to make it work right by default
  in UTF-8 locales without requiring the user to have a
  ~/.gtkrc file.
* Mon Nov 18 2002 - ro@suse.de
- fix build with latest autoconf
* Wed Aug 14 2002 - hhetter@suse.de
- added fileselection and dnd-crash fix patch (#17688)
* Fri May 31 2002 - meissner@suse.de
- same ac magic as in glib to compile on ppc64.
* Thu Apr 25 2002 - coolo@suse.de
- %%_lib support
* Tue Feb 05 2002 - hhetter@suse.de
- include pkgconfig files in devel package
* Thu Jan 31 2002 - hhetter@suse.de
- applied newer bugfix patch for stable version
* Fri Jan 18 2002 - mfabian@suse.de
- don't change the value returned by setlocale
  (this makes gtk programs work in zh_TW.Big5 locale again)
* Tue Sep 25 2001 - hhetter@suse.de
- added missing locale files to filelist,
  closing Bug Id# 11301
* Fri Sep 14 2001 - egger@suse.de
- Added bugfixes from the stable CVS.
  Fixes:
  * Huge eventload while drag-and-drop avoided
  * Fix refcounting for gtklists
  * Fix size calculation for optionmenus
  * Fix special gtkrc use for different locales
  * Fix use of wrong variable to prevent crash in multibyte envs.
- Tested on ppc without any sideeffects.
* Mon Apr 02 2001 - egger@suse.de
- Update to version 1.2.10. This contains important
  internationalisation fixes!
* Mon Mar 26 2001 - phm@suse.de
- add gtkrc.zh_TW as link to gtkrc.zh_TW.big5
* Mon Mar 12 2001 - schwab@suse.de
- Work around missing declaration of XSetIMValues.
* Sun Mar 04 2001 - egger@suse.de
- Updated to 1.2.9.
- Cleaned up specfile.
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 1.2.9pre4.
- Removed aa patch due to incompatibility.
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 1.2.9pre1.
* Wed Feb 14 2001 - egger@suse.de
- Recompressed with bzip2.
- Added antialiased fonts patch if supported on target
  architecture, needs to be activated by setting GDK_USE_XFT.
* Sun Dec 10 2000 - egger@suse.de
- Moved location of configuration files to /etc according to the
  LSB requirements.
- Cleaned up specfile.
- Use BuildRoot and RPM_BUILD_OPT for building.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Oct 29 2000 - egger@suse.de
- Beatified the specfile a little and prepared it
  for long filenames.
* Thu May 25 2000 - egger@suse.de
- Updated to 1.2.8.
- Replaced every occurence of 1.2.7 by %%{version}.
* Mon May 22 2000 - egger@suse.de
- Autobuild is more pickier about paths now -> fixed them.
* Fri May 19 2000 - egger@suse.de
- Removed deprecated documentation.
* Mon May 15 2000 - egger@suse.de
- Added a Provides: gtk+ on request of ke@suse.de.
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Wed Mar 01 2000 - werner@suse.de
- Fix config.guess selection
* Thu Feb 24 2000 - egger@suse.de
- Use wildcards...
* Thu Feb 24 2000 - egger@suse.de
- Replaced some strings by variables.
* Wed Feb 23 2000 - egger@suse.de
- Set required tag to glib 1.2.7.
* Wed Feb 23 2000 - egger@suse.de
- Use %%doc tags for a "better build"(TM).
* Thu Feb 17 2000 - fehr@suse.de
- changed to version 1.2.7
* Mon Oct 11 1999 - fehr@suse.de
- changed to version 1.2.6
* Wed Sep 29 1999 - fehr@suse.de
- changed to version 1.2.5
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - fehr@suse.de
- changed to version 1.2.4
* Tue Jul 13 1999 - ro@suse.de
- package renamed to gtk/gtkdev
* Tue May 18 1999 - fehr@suse.de
- changed to version 1.2.3
* Fri Mar 26 1999 - fehr@suse.de
- changed to version 1.2.1
* Thu Mar 18 1999 - fehr@suse.de
- add html documentation to package
* Mon Mar 01 1999 - fehr@suse.de
- changed to version 1.2.0
* Wed Feb 17 1999 - fehr@suse.de
- changed to version 1.1.16
* Fri Feb 05 1999 - fehr@suse.de
- changed to version 1.1.15
* Wed Feb 03 1999 - bs@suse.de
- changed file list, to let it build in libc5 environment.
* Mon Feb 01 1999 - bs@suse.de
- set exec permissions to libs (again)
* Fri Jan 29 1999 - fehr@suse.de
- changed to version 1.1.14
* Tue Jan 19 1999 - fehr@suse.de
- changed to version 1.1.13
* Sat Jan 09 1999 - fehr@suse.de
- changed to version 1.1.12
* Mon Jan 04 1999 - fehr@suse.de
- changed to version 1.1.11
* Tue Dec 22 1998 - fehr@suse.de
- changed to version 1.1.9
* Wed Nov 11 1998 - fehr@suse.de
- packages gtkn/gtkndev contain gtk+-1.1.4
* Fri Oct 23 1998 - fehr@suse.de
- split up packages into runtime/development file
- packages gtkn/gtkndev contain gtk+-1.1.3
* Fri Oct 23 1998 - fehr@suse.de
- split up packages into runtime/development file
- seperate glib from gtk library
* Tue Sep 22 1998 - fehr@suse.de
- switch to version 1.0.6
* Wed Sep 16 1998 - fehr@suse.de
- switch to version 1.0.5
* Fri Jun 26 1998 - fehr@suse.de
- switch to version 1.0.4
* Mon May 18 1998 - fehr@suse.de
- switch to version 1.0.1
* Tue Mar 03 1998 - fehr@suse.de
- switch to version 0.99.4
* Tue Feb 03 1998 - fehr@suse.de
- switch to version 0.99.3
* Thu Jan 08 1998 - fehr@suse.de
- switch to version 0.99.2
* Fri Nov 07 1997 - fehr@suse.de
- add fix for gtkcolorsel.c
* Thu Oct 30 1997 - fehr@suse.de
- add version 971025 of gtk package to S.u.S.E. distribution
